google.load("visualization", "1", {
  packages: ["table", "gauge", "corechart"]
});
google.setOnLoadCallback(drawGauge);

var gaugeOptions = {
  min: 0,
  max: 100,
  yellowFrom: 60,
  yellowTo: 80,
  redFrom: 80,
  redTo: 100,
  minorTicks: 2
};
var gauge;

function drawGauge() {
  gaugeData = new google.visualization.DataTable();
  gaugeData.addColumn("number", "Risk");
  /*gaugeData.addColumn('number', 'Torpedo');*/
  gaugeData.addRows(1);
  gaugeData.setCell(0, 0, 90);
  /*gaugeData.setCell(0, 1, 80);*/

  gauge = new google.visualization.Gauge(document.getElementById("gauge_div"));
  gauge.draw(gaugeData, gaugeOptions);
}

function changeTemp(dir) {
  gaugeData.setValue(0, 0, gaugeData.getValue(0, 0) + dir * 25);
  gaugeData.setValue(0, 1, gaugeData.getValue(0, 1) + dir * 20);
  gauge.draw(gaugeData, gaugeOptions);
}
